Bug 478077 - MIGRATED_FROM_JIRA: support <, >, LIKE relationships between sources
MIGRATED_FROM_JIRA: support <, >, LIKE relationships between sources
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:56 EST by Chandrasekar Kannan
Modified: 2018-02-07 15:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:56:56 EST
Penrose restricts the relationships between sources to ?=?; i.e. ?<?, ?>? and ?LIKE? are not allowed. This means you cannot assign entries to nodes dynamically. This is more a limitation than a bug and would be a great improvement.
Additional Comments From endisd dated Fri Sep 30 13:58:21 CDT 2005 
The following operators are now supported: >, >=, <, <=. 
The "like" operator is not supported yet since it needs a more sophisticated SQL parser than what we are currently using. 


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-81',
          'assignee' => 'endisd',
          'summary' => 'support <, >, LIKE relationships between sources',
          'id' => '10270',
          'updated' => '2008-08-08 10:23:25.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-09-30 00:00:00.0',
                             'sequence' => '6',
                             'name' => 'Penrose-0.9.6',
                             'released' => 'true',
                             'id' => '10032',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-08-31 00:00:00.0',
                                 'sequence' => '4',
                                 'name' => 'Penrose-0.9.4',
                                 'released' => 'true',
                                 'id' => '10021',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Penrose restricts the relationships between sources to ?=?; i.e. ?<?, ?>? and ?LIKE? are not allowed. This means you cannot assign entries to nodes dynamically. This is more a limitation than a bug and would be a great improvement.',
          'created' => '2005-09-01 22:27:50.0',
          'resolution' => '1',
          'type' => '2'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:56:58 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-81

Note You need to log in before you can comment on or make changes to this bug.